Subject: Re: JMP> Mandatory objects, Printer MIB relationship and more [table of attribute properties posted]

From: Tom Hastings <[email-masked]>
Date: Fri, 9 May 1997 01:47:03 PDT

At 13:54 05/07/97 PDT, JK Martin wrote:
>Harry,

snip...

>Let me ask a more pointed question, one that I would like to see Tom
>answer:
>
>  "Does the Job Monitoring MIB require an agent to simultaneously
>   support the Printer MIB, and if so, what exactly is the binding?"
>

I agree with Harry's response, that we are not requiring that an
agent implement the Printer MIB since it would be hard in a server
(configuration 2).
But at the same time we want a Printer that does implement the Printer
MIB to be able to take advantage of the data in the Printer MIB when
implementing the Job Monitoring MIB in a Printer.
Hence the introduction of the pairs of attributes ("sisters") where
one is used when implementing the Printer MIB because it is tightly
coupled with the Printer MIB, i.e., an index into the Printer MIB
and the other attribute is used when not implementing the Printer MIB.

>A quick table or list (in text, please) would suffice.  If there is
>no binding, then great.  If there is, then the PMP group had better
>be totally cognizant of that fact, and critical clarifications should
>exist in the MIB draft to explain those bindings.

I've posted a table of attribute properties in:

ftp://ftp.pwg.org/pub/pwg/jmp/contributions/
-rw-r--r--   1 pwg      pwg        31744 May  9 08:25 attr-tab.doc
-rw-r--r--   1 pwg      pwg        45940 May  9 08:26 attr-tab.pdf

One of the columns specifies linkage to the Printer MIB.
The other columns specify properties of attributes that will help
understand the usage of the attributes by monitoring applications
and accounting/utilization applications.  The table may help us
with the debate over the Job State Table as well.

Here is the legend to the table:

# = enum value for jmAttributeTypeIndex, e.g., JmAttributeTypeIndexTC
I/O:  Integer vs. OCTET STRING
	I = Integer32(-2..2147483647)
	O = OCTET STRING(SIZE(0..63))
	I/O = Integer OR OCTET STRING
	I+O = Integer AND OCTET STRING
TC:  Integer is a textual-convention in this or the Printer MIB
M:   Mandatory
>1:  MULTI-ROW (more than one row allowed)
M/A:  Application program usage
	M = Monitoring application will use
	A = Accounting (or system utilization) application will use
	MA = both a Monitoring and an Accounting application will use.
S/D:  STATIC vs. DYNAMIC
	S = STATIC (doesn't usually change, ModifyJob operation may change)
	D = DYNAMIC (expected to change during the life time of the job)
S/P/D/A:  When is the STATIC or DYNAMIC value first assigned:
	S = submission time
	P = start of processing
	D = during processing and/or printing
	C = completion
	a = any time.
states = job state(s) in which the value is of interest:  
	H = held
	Pen = Pending
	Pro = Processing
	Pri = Printing
	N = needsAttention
	Can = canceled
	Com = completed
	a = all states.
L = linked with the Printer MIB, such that the Printer MIB must be
implemented for this attribute to provide a meaningful value to the
application.  Printer MIB textual-conventions are not flagged as linked.

>
>Hopefully the only bindings are those dealing with Textual Conventions.

There are some Job Monitoring MIB attributes whose values are textual 
conventions defined in the Printer MIB, such as PrtInterpreterLangFamilyTC. 
However, use of such a textual convention in an attribute does not require 
that the agent implement the Printer MIB.

>	...jay